<script setup lang="ts">
import Flex from "@/components/atoms/container/Flex.vue";
import BasedCodeSearchRepositoryForm from "@/components/organisms/form/BasedCode/BasedCodeSearchRepositoryForm.vue";
import {useBasedCodeListStore} from "@/stores/BasedCode/BasedCodeListStore";
import {onMounted} from "vue";
import {useRepositoryImportModalStore} from "@/stores/Repository/RepositoryImportModalStore";
import BasedCodeExplanation from "@/components/organisms/text/BasedCode/BasedCodeExplanation.vue";

const repositoryImportModal = useRepositoryImportModalStore();
const basedCodeList = useBasedCodeListStore();

onMounted(() => basedCodeList.init())
</script>

<template>
  <Flex class="flex-col justify-between gap-content h-full">
    <BasedCodeSearchRepositoryForm
        v-model:submit="repositoryImportModal.submitView"
        v-model:repositories="repositoryImportModal.repositories"
        v-model:basedCode="repositoryImportModal.basedCode"
        v-model:token="repositoryImportModal.token"
        v-model:host="repositoryImportModal.host"
        :afterSubmitCallback="() => {
          repositoryImportModal.nextView();
        }"
    />
    <hr/>
    <BasedCodeExplanation :basedCodeList="basedCodeList.basedCodes"/>
  </Flex>
</template>